OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class DhcpdConfigFactory

    java.lang.Object
      org.opennms.netmgt.config.DhcpdConfigFactory

public final class DhcpdConfigFactory
extends java.lang.Object

This is the singleton class used to load the configuration for the OpenNMS DHCP client deamon from the dhcpd-configuration xml file. Note: Users of this class should make sure the init() is called before calling any other method to ensure the config is loaded before accessing other convenience methods.

Author:
  Mike Davidson , OpenNMS

Field Summary
`private DhcpdConfiguration` `m_config` The config class loaded from the config file
`private static boolean` `m_loaded` This member is set to true if the configuration file has been loaded.
`private static DhcpdConfigFactory` `m_singleton` The singleton instance of this factory

Constructor Summary
`private` `DhcpdConfigFactory(java.io.File configFile)` Private constructor

Method Summary
`java.lang.String` `getExtendedMode()` Return the string value of the extended mode option for the DHCP client daemon.
`static DhcpdConfigFactory` `getInstance()` Return the singleton instance of this factory.
`java.lang.String` `getMacAddress()` Return the MAC address to be used in outgoing DHCP packets generated by the DHCP client daemon.
`java.lang.String` `getMyIpAddress()` Return the IP address to be used as the relay address in outgoing DHCP packets generated by the DHCP client daemon.
`int` `getPort()` Return the TCP port on which the DHCP client daemon is to listen for incoming client connections.
`java.lang.String` `getRequestIpAddress()` Return the IP address to be used in outgoing DHCP REQUEST packets generated by the DHCP client daemon.
`static void` `init()` Load the config from the default config file and create the singleton instance of this factory.
`static void` `reload()` Reload the config from the default config file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_singleton

    private static DhcpdConfigFactory m_singleton

  The singleton instance of this factory

### m_config

    private DhcpdConfiguration m_config

  The config class loaded from the config file

### m_loaded

    private static boolean m_loaded

  This member is set to true if the configuration file has been loaded.

Constructor Detail

### DhcpdConfigFactory

    private DhcpdConfigFactory(java.io.File configFile)
                        throws java.io.IOException,
                               org.exolab.castor.xml.MarshalException,
                               org.exolab.castor.xml.ValidationException

  Private constructor

Throws:
  `java.io.IOException` - Thrown if the specified config file cannot be read
  `org.exolab.castor.xml.MarshalException` - Thrown if the file does not conform to the schema.
  `org.exolab.castor.xml.ValidationException` - Thrown if the contents do not match the required schema.

Method Detail

### init

    public static void init()
                     throws java.io.IOException,
                            org.exolab.castor.xml.MarshalException,
                            org.exolab.castor.xml.ValidationException

  Load the config from the default config file and create the singleton instance of this factory.

  Throws:
    `java.io.IOException` - Thrown if the specified config file cannot be read
    `org.exolab.castor.xml.MarshalException` - Thrown if the file does not conform to the schema.
    `org.exolab.castor.xml.ValidationException` - Thrown if the contents do not match the required schema.

### reload

    public static void reload()
                       throws java.io.IOException,
                              org.exolab.castor.xml.MarshalException,
                              org.exolab.castor.xml.ValidationException

  Reload the config from the default config file

  Throws:
    `java.io.IOException` - Thrown if the specified config file cannot be read/loaded
    `org.exolab.castor.xml.MarshalException` - Thrown if the file does not conform to the schema.
    `org.exolab.castor.xml.ValidationException` - Thrown if the contents do not match the required schema.

### getInstance

    public static DhcpdConfigFactory getInstance()

  Return the singleton instance of this factory.

  Returns:
    The current factory instance.
  Throws:
    `java.lang.IllegalStateException` - Thrown if the factory has not yet been initialized.

### getPort

    public int getPort()

  Return the TCP port on which the DHCP client daemon is to listen for incoming client connections.

  Returns:
    the DHCP client daemon port.

### getMacAddress

    public java.lang.String getMacAddress()

  Return the MAC address to be used in outgoing DHCP packets generated by the DHCP client daemon.

  Returns:
    string mac address

### getMyIpAddress

    public java.lang.String getMyIpAddress()

  Return the IP address to be used as the relay address in outgoing DHCP packets generated by the DHCP client daemon.

  Returns:
    string ip address

### getRequestIpAddress

    public java.lang.String getRequestIpAddress()

  Return the IP address to be used in outgoing DHCP REQUEST packets generated by the DHCP client daemon.

  Returns:
    string ip address

### getExtendedMode

    public java.lang.String getExtendedMode()

  Return the string value of the extended mode option for the DHCP client daemon.

  Returns:
    string extended mode

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.